﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Drawing.Printing;
using System.Data;
using C1.C1Report;

namespace WpfDVPrinting
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            C1.C1Report.C1Report rpt=new C1.C1Report.C1Report();  

       DataTable dt=new DataTable(); 
       dt.Columns.Add("a");
        dt.Columns.Add("b");
        dt.Columns.Add("c");
        dt.Columns.Add("d");
        for(int i = 0;i<= 5;i++)
        {
           DataRow dr;
             dr = dt.NewRow();
             dr["a"] = i;
            dr["b"] = i;
            dr["c"] = i;
            dr["d"] = i;
            dt.Rows.Add(dr);
        }

            string path=AppDomain.CurrentDomain.BaseDirectory.Replace("bin\\Debug\\","test.xml");
        rpt.Load(path, "TestReport");
        rpt.DataSource.Recordset = dt;
        rpt.Layout.Orientation = OrientationEnum.Landscape;
        c1dv.Document = rpt.C1Document.FixedDocumentSequence;
        c1dv.Loaded += (s, e) =>
            {
                c1dv.ApplyTemplate();
                c1dv.PrintButton.Click += (s1, e1) =>
                {
                    System.Windows.Forms.PrintDialog pd = new System.Windows.Forms.PrintDialog();
                    pd.Document = rpt.Document;

                    PrinterSettings myPrinterSettings = new PrinterSettings();

                    myPrinterSettings.DefaultPageSettings.Landscape = true;
                    if ((rpt.Layout.Orientation == OrientationEnum.Landscape))
                    {
                        pd.PrinterSettings.DefaultPageSettings.Landscape = true;
                    }
                    else
                    {
                        pd.PrinterSettings.DefaultPageSettings.Landscape = false;
                    }

                    if ((pd.ShowDialog() == System.Windows.Forms.DialogResult.OK))
                    {
                        pd.Document.Print();
                    }
                };
            };

            
        }
    }

    public class MyDocumentViewer : C1.WPF.C1Report.C1DocumentViewer
    {
        private Button printbtn;
        public Button PrintButton
        {
            get
            {
                return printbtn;
            }
        }
        public override void OnApplyTemplate()
        {
            base.OnApplyTemplate();
            var cc = (((VisualTreeHelper.GetChild(this, 0) as Border).Child as Grid).Children[0] as ContentControl);
            cc.ApplyTemplate();
            printbtn = ((VisualTreeHelper.GetChild(cc, 0) as ToolBar).Items[0] as Button);
            printbtn.Command = null;

        }
    }
}
